import { Box, Button, Flex } from "@chakra-ui/react";
import RequestTable from "./component/table";
import { getClubRequestList, getRequestList } from "@/app/lib/request/action";
import { Session, getServerSession } from "next-auth";
import { AuthConfig } from "@/auth";

export default async function ClubOwners() {
  const session: Session = await getServerSession(AuthConfig);
  const user = session?.user ?? null;

  if (!user) {
    return null;
  }

  const fetchData = user?.role?.id == 1 ? await getRequestList() : await getClubRequestList();
  
  return (
    <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
      <RequestTable role={user?.role} data={fetchData}></RequestTable>
    </Box>
  );
}
